Summary:        Netcat with IPv6 Support
Name:           nc6
Version:        1.0
Release:        11%{?dist}
Group:          Applications/Internet
URL:            http://www.deepspace6.net/projects/netcat6.html
License:        GPLv2+
Source:         ftp://ftp.deepspace6.net/pub/ds6/sources/nc6/%{name}-%{version}.tar.bz2

%description
netcat6 is an IPv6-enabled clone of the original netcat utility.

"Netcat is a simple Unix utility which reads and writes data across
network connections.  It is designed to be a reliable "back-end" tool
that can be used directly or easily driven by other programs and
scripts.  At the same time, it is a feature-rich network debugging and
exploration tool, since it can create almost any kind of connection you
would need and has several interesting built-in capabilities.  Netcat,
or "nc" as the actual program is named, should have been supplied long
ago as another one of those cryptic but standard Unix tools."

%prep
%setup -q

%build
%configure --prefix=%{_prefix} --mandir=%{_mandir} CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
make COPTS="$RPM_OPT_FLAGS" DESTDIR="$RPM_BUILD_ROOT"

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc %{_mandir}/man1/nc6*
%doc README AUTHORS COPYING NEWS TODO

%changelog
* Fri Feb 24 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.0-11
- Built for Fuduntu

* Tue Mar 01 2011 Petr Sabata <psabata@redhat.com> - 1.0-11
- Buildroot garbage cleanup

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-7
- fix license tag

* Tue Feb 12 2008 Jan Safranek <jsafrane@redhat.com> 1.0-6
- fix compilation with gcc 4.3

* Thu Aug 23 2007 Radek Vokál <rvokal@redhat.com> 1.0-5
- rebuilt

* Mon Sep 11 2006 Radek Vokal <rvokal@redhat.com> 1.0-4
- rebuilt for FC6

* Mon Mar 13 2006 Radek Vokál <rvokal@redhat.com> 1.0-3
- add ?dist and rebuilt in extras

* Wed Mar 8 2006 Radek Vokál <rvokal@redhat.com> 1.0-2
- clean RPM_BUILD_ROOT before install
- group Application/Internet
- fix BuildRoot

* Tue Mar 7 2006 Radek Vokál <rvokal@redhat.com> 1.0-1
- initial build for Fedora Extras
